跳转到内容

Lyria 3.5

集成

模型 id google/lyria-3.5
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/lyria-3.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.10 100 API 积分 · ≈ ₽10.66 在此页面运行

获取 API 密钥
Google 文本生成音乐 #music#text-to-music#speech

文本生成音乐,返回 MP3 和歌词,可选图片作为氛围灵感

Google · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 5000

描述要生成的音乐;Lyria 3.5 可创作最长几分钟的完整歌曲。支持的语言包括日语、韩语、印地语、葡萄牙语、法语、西班牙语、德语和英语。为获得最佳结果,请指定乐器编制、人声、流派、结构、情绪和节奏。可通过 'a 2-minute track' 等时长提示,或 '[0:00-0:30] Intro: ...' / '[0:30-1:00] Verse: ...' 等带时间戳的段落控制长度。

高级 negative_prompt · image · enable_safety_checker
默认

Lyria 3.5 不支持负面提示词。

image_url
拖放文件,或

可选的图像 URL,用于启发生成的音乐并引导其情绪和主题。

POST /run/google/lyria-3.5?wait=20 报价 → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/lyria-3.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Lyria 3.5

根据最多5000个字符的提示词创作音乐,提示词可描述流派、情绪、配器、速度、演唱和结构。可选的`image_url`为情绪提供视觉灵感。结果为MP3文件,并在适用时附带歌词。不支持负面提示词。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 5,000 个字符
描述要生成的音乐;Lyria 3.5 可创作最长几分钟的完整歌曲。支持的语言包括日语、韩语、印地语、葡萄牙语、法语、西班牙语、德语和英语。为获得最佳结果,请指定乐器编制、人声、流派、结构、情绪和节奏。可通过 'a 2-minute track' 等时长提示,或 '[0:00-0:30] Intro: ...' / '[0:30-1:00] Verse: ...' 等带时间戳的段落控制长度。
negative_prompt可选
类型string
默认值
Lyria 3.5 不支持负面提示词。
image_url可选 image
类型url · image
可选的图像 URL,用于启发生成的音乐并引导其情绪和主题。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/lyria-3.5",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "lyrics": "[[A0]]\n[[B1]]\n[12.0:] Dust motes dancing in the light,\n[:] Morning breaks so soft and white."
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}MP3 格式的音乐输出。
lyrics
string | null适用时,已生成或提供的曲目歌词。

更多模型:文本生成音乐

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/google/lyria-3.5.md. 所有模型和指南: https://doitong.com/developers/llms.txt